BBSerializerModifier (Jackson module: Blackbird 2.14.0 API)

com.fasterxml.jackson.module.blackbird.ser

## Class BBSerializerModifier

- java.lang.Object
- - com.fasterxml.jackson.databind.ser.BeanSerializerModifier
  - - com.fasterxml.jackson.module.blackbird.ser.BBSerializerModifier

-     public class BBSerializerModifier
      extends com.fasterxml.jackson.databind.ser.BeanSerializerModifier

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BBSerializerModifier(Function<Class<?>,MethodHandles.Lookup> lookups, UnaryOperator<MethodHandles.Lookup> accessGrant)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<com.fasterxml.jackson.databind.ser.BeanPropertyWriter>` | `changeProperties(com.fasterxml.jackson.databind.SerializationConfig config, com.fasterxml.jackson.databind.BeanDescription beanDesc, List<com.fasterxml.jackson.databind.ser.BeanPropertyWriter> beanProperties)`
    `protected void` | `createProperty(ListIterator<com.fasterxml.jackson.databind.ser.BeanPropertyWriter> it, MethodHandles.Lookup lookup, com.fasterxml.jackson.databind.SerializationConfig config)`
    `protected void` | `findProperties(Class<?> beanClass, com.fasterxml.jackson.databind.SerializationConfig config, List<com.fasterxml.jackson.databind.ser.BeanPropertyWriter> beanProperties)`

    - ### Methods inherited from class com.fasterxml.jackson.databind.ser.BeanSerializerModifier

      `modifyArraySerializer, modifyCollectionLikeSerializer, modifyCollectionSerializer, modifyEnumSerializer, modifyKeySerializer, modifyMapLikeSerializer, modifyMapSerializer, modifySerializer, orderProperties, updateBuilder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BBSerializerModifier

          public BBSerializerModifier(Function<Class<?>,MethodHandles.Lookup> lookups,
                                      UnaryOperator<MethodHandles.Lookup> accessGrant)

  - ### Method Detail

    - #### changeProperties

          public List<com.fasterxml.jackson.databind.ser.BeanPropertyWriter> changeProperties(com.fasterxml.jackson.databind.SerializationConfig config,
                                                                                              com.fasterxml.jackson.databind.BeanDescription beanDesc,
                                                                                              List<com.fasterxml.jackson.databind.ser.BeanPropertyWriter> beanProperties)

      Overrides:
        `changeProperties` in class `com.fasterxml.jackson.databind.ser.BeanSerializerModifier`

    - #### findProperties

          protected void findProperties(Class<?> beanClass,
                                        com.fasterxml.jackson.databind.SerializationConfig config,
                                        List<com.fasterxml.jackson.databind.ser.BeanPropertyWriter> beanProperties)

    - #### createProperty

          protected void createProperty(ListIterator<com.fasterxml.jackson.databind.ser.BeanPropertyWriter> it,
                                        MethodHandles.Lookup lookup,
                                        com.fasterxml.jackson.databind.SerializationConfig config)
                                 throws Throwable

      Throws:
        `Throwable`

Copyright © 2022 FasterXML. All rights reserved.